%define _name notification
%define _name2 notification_plugin

%def_disable lcdproc
%def_enable indicator
%def_enable hotkeys

Name: claws-mail-plugin-%_name
Version: 0.24
Release: alt0.M50P.2
Packager: Mikhail Pluzhnikov <amike@altlinux.ru>

Summary: Various ways to notify the user of new and unread email. 
License: %gpl3plus
Group: Networking/Mail

Url: http://www.claws-mail.org/plugin.php?plugin=%_name

Source: http://www.claws-mail.org/downloads/plugins/%_name2-%version.tar.gz
Patch1: %_name2-0.24-fix-ru.po.patch

# The macro is defined inside claws-mail-devel.
# FIXME: Generally, this is bad. Each Claws Mail release causes to rebuild
# each and every plugin for it. Does it really matter so much?
Requires: claws-mail = %_claws_version

BuildRequires(Pre): rpm-build-licenses

# From configure.ac
BuildRequires(Pre): claws-mail-devel >= 3.7.3.22
BuildPreReq: glib2-devel >= 2.6.0
# Trayicon module needs 2.10.0, others go well with 2.6.0
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: libnotify-devel >= 0.4.3
BuildPreReq: libcanberra-devel >= 0.6
%{?_enable_indicator:BuildPreReq: libindicate-devel >= 0.2.3}
%{?_enable_hotkeys:BuildPreReq: libgio-devel >= 2.15.6}

%description
The Notification plugin provides various ways to notify the user of new and
possibly unread mail. Currently, the following modules are implemented:

    * A mail banner (stocks ticker-like widget)
    * A popup window
    * A command to be issued on new mail arrival

All modules can be activated or deactivated at compilation time, and are
highly configurable at run time. It is possible to include only selected
folders in any module. In general, the notification is executed after
filtering, so it is possible to exclude spam or other unwanted messages
from notification.

%prep
%setup -q -n %_name2-%version
%patch1 -p0

%build
#autoreconf
%configure \
    --enable-popup \
    --enable-banner \
    --enable-command \
    --enable-trayicon \
    %{subst_enable lcdproc} \
    %{subst_enable indicator} \
    %{subst_enable hotkeys} \

%make

%install
%make DESTDIR=%buildroot install

%find_lang %_name2

%files -f %_name2.lang
%_libdir/claws-mail/plugins/%_name2.so

%exclude %_libdir/*/*/*.a
%exclude %_libdir/*/*/*.la
# XXX: It's hard to believe so far that someone uses development files to
# extend the hotkeys feature of this plugin. So we just skip them
%exclude %_includedir/%_name2

%changelog
* Thu May 13 2010 Mikhail Pluzhnikov <amike@altlinux.ru> 0.24-alt0.M50P.2
- Fix build

* Tue May 04 2010 Mikhail Pluzhnikov <amike@altlinux.ru> 0.24-alt0.M50P.1
- Build for p5

* Sat Jan 16 2010 Alexey Rusakov <ktirf@altlinux.org> 0.24-alt1
- New version.
- Two new features enabled: global hotkeys and indicator applet.

* Thu Jul 09 2009 Alexey Rusakov <ktirf@altlinux.org> 0.22-alt1
- New version (0.22).
- Added a dependency on libcanberra-gtk in order to make use of fd.o sound
  themes for notifications.

* Tue May 26 2009 Alexey Rusakov <ktirf@altlinux.org> 0.21-alt1
- New version (0.21).
- Removed no more necessary libgnutls-devel buildreq, it is installed as
  a dependency of claws-mail-devel from now on.

* Thu Oct 16 2008 Alexey Rusakov <ktirf@altlinux.org> 0.19-alt1
- New version (0.19).
- Updated buildreqs (C-Mail uses gnutls instead of openssl from now on).

* Mon May 26 2008 Alexey Rusakov <ktirf@altlinux.org> 0.16-alt2
- Rebuild for the updated Claws Mail.

* Tue Apr 29 2008 Alexey Rusakov <ktirf@altlinux.org> 0.16-alt1
- new version (0.19)

* Sat Apr 12 2008 Alexey Rusakov <ktirf@altlinux.org> 0.15-alt2
- Build with updated Claws Mail.

* Mon Mar 24 2008 Alexey Rusakov <ktirf@altlinux.org> 0.15-alt1
- New version (0.15).
- Updated buildreqs.

* Mon Jan 14 2008 Alexey Rusakov <ktirf@altlinux.org> 0.14-alt1
- new version (0.14)

* Tue Nov 27 2007 Alexey Rusakov <ktirf@altlinux.org> 0.13-alt1
- new version (0.13)
- Require exact version of Claws Mail the plugin was built with (yes this
  is terrible, but Claws Mail refuses to load plugins built with older
  version anyway).

* Tue Oct 16 2007 Alexey Rusakov <ktirf@altlinux.org> 0.12.1-alt1.2
- rebuilt with new Claws Mail

* Tue Oct 09 2007 Alexey Rusakov <ktirf@altlinux.org> 0.12.1-alt1.1
- rebuilt with Claws Mail 3.0.2

* Sun Sep 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.12.1-alt1
- new version (0.12.1)

* Tue Sep 04 2007 Alexey Rusakov <ktirf@altlinux.org> 0.12-alt1
- new version (0.12), for Claws Mail 3.0.0
- the license has changed to %gpl3plus
- a new trayicon module is unconditionally compiled
- a new lcdproc module is compiled if enabled (disabled by default, since
  external LCD displays are not very popular here in Russia, it seems)

* Wed Aug 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.11-alt1
- new version (0.11), for Claws Mail 2.10.0

* Mon May 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.10-alt2
- rebuilt with new ClawsMail.

* Sat Apr 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.10-alt1
- new version (0.10)
- added limitation of claws-mail's major version to requirements.

* Sun Apr 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9-alt1
- Initial Sisyphus version.

